# Подключение внешних проектов
include(ExternalProject)

if(${IonobaseThirdparty_FIND_COMPONENTS} STREQUAL "headers")
  ExternalProject_Add(
    libionobase
    SOURCE_DIR ${CMAKE_SOURCE_DIR}/thirdparty/libionobase
    INSTALL_DIR ${CMAKE_BINARY_DIR}
    DOWNLOAD_COMMAND ""
    CONFIGURE_COMMAND
      ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}"
      -DCMLIB_MAIN_DIR=${CMLIB_MAIN_DIR} ${CMLIB_EXT_PROJ_DEFAULT_ARGS}
      <SOURCE_DIR>
    BUILD_COMMAND true
    INSTALL_COMMAND make ionobase-install-headers)
else()
  ExternalProject_Add(
    libionobase
    SOURCE_DIR ${CMAKE_SOURCE_DIR}/thirdparty/libionobase
    INSTALL_DIR ${CMAKE_BINARY_DIR}
    DOWNLOAD_COMMAND ""
    CONFIGURE_COMMAND
      ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}"
      -DCMLIB_MAIN_DIR=${CMLIB_MAIN_DIR} ${CMLIB_EXT_PROJ_DEFAULT_ARGS}
      <SOURCE_DIR>)
endif()

set(LIBIONOBASE_PREFIX
    ${CMAKE_BINARY_DIR}
    CACHE FILEPATH "" FORCE)
set(LIBIONOBASE_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(LIBIONOBASE_LIBRARY_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}
    CACHE PATH "" FORCE)
set(LIBIONOBASE_LIBRARY
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}/libionobase.a
    CACHE FILEPATH "" FORCE)
